part of 'comment_bloc.dart';

sealed class CommentEvent extends Equatable {
  const CommentEvent();
}

final class RatingChangedEvent extends CommentEvent {
  final double rating;

  const RatingChangedEvent({required this.rating});

  @override
  List<Object?> get props => [rating];
}

final class CommentEnterEvent extends CommentEvent {
  final String comment;

  const CommentEnterEvent({required this.comment});

  @override
  List<Object?> get props => [comment];
}

final class SubmitEvent extends CommentEvent {
  const SubmitEvent({required this.orderId});

  final String orderId;

  @override
  List<Object?> get props => [orderId];
}
